Bug 126942 - [WebGL2] Sync objects
Summary: [WebGL2] Sync objects
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: James Darpinian
URL:
Keywords: InRadar
Depends on:
Blocks: 126404
  Show dependency treegraph
 
Reported: 2014-01-13 15:46 PST by Dean Jackson
Modified: 2020-07-17 14:52 PDT (History)
11 users (show)

See Also:


Attachments
Patch (21.01 KB, patch)
2020-07-16 18:01 PDT, James Darpinian
no flags Details | Formatted Diff | Diff
rebaseline test (26.84 KB, patch)
2020-07-16 22:53 PDT, James Darpinian
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2014-01-13 15:46:19 PST
/* Sync objects */
  WebGLSync? fenceSync(GLenum condition, GLbitfield flags);
  GLboolean isSync(WebGLSync? sync);
  void deleteSync(WebGLSync? sync);
  GLenum clientWaitSync(WebGLSync? sync, GLbitfield flags, GLuint64 timeout);
  void waitSync(WebGLSync? sync, GLbitfield flags, GLuint64 timeout);
  /* TODO: document return type */
  any getSyncParameter(WebGLSync? sync, GLenum pname);
Comment 1 Dean Jackson 2014-01-13 15:46:42 PST
<rdar://problem/15002416>
Comment 2 James Darpinian 2020-07-16 18:01:32 PDT
Created attachment 404506 [details]
Patch
Comment 3 James Darpinian 2020-07-16 22:53:45 PDT
Created attachment 404538 [details]
rebaseline test
Comment 4 Kenneth Russell 2020-07-17 12:45:47 PDT
Comment on attachment 404538 [details]
rebaseline test

Fantastic work James! LGTM too.
Comment 5 EWS 2020-07-17 13:20:08 PDT
jdarpinian@chromium.org does not have committer permissions according to https://svn.webkit.org/repository/webkit/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

Rejecting attachment 404538 [details] from commit queue.
Comment 6 EWS 2020-07-17 14:51:21 PDT
Committed r264535: <https://trac.webkit.org/changeset/264535>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 404538 [details].
Comment 7 Radar WebKit Bug Importer 2020-07-17 14:52:13 PDT
<rdar://problem/65745409>